# Return network requests fired on a given page

<div class="op-path-box"><span class="op-http-method-get">GET</span> /v3/web-audits/<span class="op-path-parameter">{auditId}</span>/runs/<span class="op-path-parameter">{runId}</span>/pages/<span class="op-path-parameter">{pageId}</span>/request-log</div>
Get request logs from specified audit run on a given page

Endpoint: GET /v3/web-audits/{auditId}/runs/{runId}/pages/{pageId}/request-log
Security: API_Key

## Path parameters:

  - `auditId` (integer, required)
    Unique identification number for web audit

  - `runId` (integer, required)
    Unique identification number for web audit or journey run

  - `pageId` (string, required)
    Unique identification number for web audit run-page, it is different from dcUUID

## Query parameters:

  - `page` (integer)
    Page number, starts with 0

  - `size` (integer)

  - `sortBy` (string)

  - `sortDesc` (boolean)
    Controls sorting order

  - `search` (string)
    Filters results by a search string

  - `showPreAuditActionRequests` (boolean)
    Filters results by cookie origin type

  - `hideIdentifiedTags` (boolean)
    Hides requests identified as marketing tags

  - `showFileChanges` (boolean)
    For privacy customers, when file changes are requested, we show the changes of the files between previous run and current run.

## Response 200 fields (application/json):

  - `metadata` (object, required)
    Common metadata for iterable

  - `metadata.pagination` (object, required)

  - `metadata.pagination.totalCount` (integer, required)
    Total number of items available from all result pages combined

  - `metadata.pagination.totalPageCount` (integer, required)
    Total number of pages available

  - `metadata.pagination.pageSize` (integer, required)
    Page size - number of items per result page configured by `size` query parameter or default page size

  - `metadata.pagination.currentPageSize` (integer, required)
    Number of items in current result page

  - `metadata.pagination.currentPageNumber` (integer, required)
    Current page number/ordinal

  - `requests` (array, required)

  - `requests.harEntryIndex` (integer, required)
    The 0-based index of the HAR entry that this request corresponds to. Used to uniquely identify a request on a page.

  - `requests.resourceType` (string)
    The type of resource that was requested.  e.g. 'xhr', 'script', 'image', 'stylesheet', 'font', 'document', 'other'. Available since [WORK-24937](https://observepoint.atlassian.net/browse/WORK-24937)

  - `requests.method` (string)
    The HTTP method used for the request

  - `requests.serverIPAddress` (string)
    The IP address of the server that responded to the request

  - `requests.httpVersion` (string)
    The HTTP version used for the request (e.g. 'HTTP/1.1')

  - `requests.requestUrl` (string, required)

  - `requests.statusCode` (integer, required)
    HTTP status code of network request

  - `requests.loadTime` (number, required)
    Time took for network request to execute, in milliseconds

  - `requests.geoLocation` (string)
    Use `geoLocationInfo` property instead. It will be renamed to `geoLocation` soon

  - `requests.geoLocationInfo` (object)

  - `requests.geoLocationInfo.countryCode` (string, required)
    ISO 3166-1 (Alpha-2) country code
    Example: US

  - `requests.geoLocationInfo.countryName` (string, required)

  - `requests.mimeType` (string)

  - `requests.fileInfo` (object)

  - `requests.fileInfo.lastModifiedDate` (string)
    Date-time in [RFC3339 profile ISO 8601 format](https://www.ietf.org/rfc/rfc3339.txt) with
the following additional restrictions:
1. An uppercase T must separate the date and time portions.
2. An uppercase Z must denote that a numeric time zone offset isn't present.

In general, these timestamp requirements are the same in
[AWS Step Functions - Choice Rules](https://docs.aws.amazon.com/step-functions/latest/dg/amazon-states-language-choice-state.html)
    Example: 2016-08-18T17:33:00Z

  - `requests.fileInfo.filename` (string, required)
    Name of the file. Identified as the last non-empty part of URL path
    Example: main.js

  - `requests.fileInfo.requestDomain` (string, required)
    Network request URL domain
    Example: example.com

  - `requests.responseSizeBytes` (integer)

  - `requests.startedAtRelativeToPageNavigation` (integer)

  - `requests.tagId` (integer)
    Use `tag` property instead

  - `requests.tag` (object)
    Common tag info

  - `requests.tag.tagId` (integer, required)
    Tag ID

  - `requests.tag.tagName` (string, required)
    Tag name

  - `requests.tag.tagCategoryId` (integer, required)
    Tag category ID

  - `requests.tag.tagCategoryName` (string, required)
    Name of a category of a tag

  - `requests.fileChange` (object)
    Available only for JavaScript files for now. Provided only for customers that have Privacy features available.

  - `requests.fileChange.fileChangeType` (string, required)
    Enum: "new_file", "not_changed", "changed_file", "deleted_file", "unknown"

  - `requests.fileChange.largestDateDifference` (integer)
    Number of minutes for date difference between 2 file versions, can be negative

  - `requests.fileChange.largestSizeDifference` (integer)
    File size change in number of bytes between 2 file versions, can be negative

  - `requests.origin` (string)
    Enum: "PRE_AUDIT_ACTION", "ON_PAGE"

  - `requests.relatedCookies` (array)

  - `requests.relatedCookies.name` (string)

  - `requests.relatedCookies.domain` (string)

  - `requests.relatedCookies.path` (string)

## Response 400 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

## Response 401 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

## Response 404 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

